Page MenuHomePhabricator

Missing sentence highlighting and text selection context item
Closed, ResolvedPublic

Description

While testing https://gerrit.wikimedia.org/r/c/429171 I noticed it does not work in the main paragraph of title=Special:ContentTranslation&page=Meow&from=en&to=es&targettitle=Meow&version=2 – then I also noticed that sentence highlight is missing from that paragram (when using Apertium).

If I select "use source", there is still no sentence highlight, which indicates there is an issue with cxserver. Curiously, when using source text ,selection context item is called if I select inside a bolded element or link, but not on the plain text.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 14 2018, 12:58 PM
Pginer-WMF triaged this task as Normal priority.May 14 2018, 5:49 PM
Pginer-WMF moved this task from Backlog to Priority backlog on the Language-2018-Apr-June board.

There is a strange inconsistency in highlighting for "Meow" article paragraphs. The main paragraph is highlighted entirely but not for sentences:

But in a different section - one sentence can be highlighted:

Vvjjkkii renamed this task from Missing sentence highlighting and text selection context item to 9zcaaaaaaa.Jul 1 2018, 1:10 AM
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from 9zcaaaaaaa to Missing sentence highlighting and text selection context item.Jul 2 2018, 5:33 AM
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.

This seems to work now:

Pginer-WMF closed this task as Resolved.Mar 29 2019, 10:50 PM
Pginer-WMF claimed this task.